.overlay-container {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100vw;
    height: 100vh;
    z-index: 9999;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.9);
    transition: 0.5s ease;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.5s ease, display 0.5s ease allow-discrete;
}

.overlay-container.active {
    display: flex;
    opacity: 1;
    @starting-style {
        opacity: 0;
    }
}

.video-container {
    position: relative;
    width: 70vw;
    max-width: 1500px;
    margin: 20px auto;
    background-color: #000;
    overflow: hidden;
    font-family: Arial, sans-serif;
    border-radius: 5px;
    @media screen and (max-width: 768px) {
        width: 100vw;
    }
}

video {
    width: 100%;
    display: block;
}

.controls-overlay {
    position: absolute;
    display: inline-flex;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.7);
    padding: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.video-container:hover .controls-overlay {
    opacity: 1;
}

.progressContainer {
    width: 100%;
    height: 6px;
    background: #555;
    cursor: pointer;
    margin-top: 9px;
    margin-right: 25px;
    margin-left: 13px;
    position: relative;
    border-radius: 3px;
}

.progressBar {
    height: 100%;
    width: 0%;
    background: #fff;
    border-radius: 3px;
}

.buttons-row {
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
}

button {
    background: none;
    border: none;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
}

.playPauseBtn img {
    width: 15px;
    height: 15px;
    margin-top: 4px;
    margin-left:3px;
}

.volumeContainer {
    width: 80px;
    height: 6px;
    background: #555;
    cursor: pointer;
    position: relative;
    border-radius: 3px;
    margin-bottom: 1px;
    margin-right: 13px;
}

.volumeBar {
    height: 100%;
    width: 100%;
    background: #fff;
    border-radius: 3px;
}
